/*
 * Read a line of input from device.
 * $Id$
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 */

#include <std/string.h>
#include <dev/tty.h>

int	input(int fd, uchar *buf, size_t len, int timeout, const uchar *term)
{
	int	key;
	int	idx = 0;
		
	while(idx < len)
	{
		key = inkey(fd, timeout);
		if(key < 0)
			return idx;

		if(!key)
			continue;

		buf[idx++] = (uchar)(key & 0xff);
			if(strchr((char *)term, key))
				break;
	}
	buf[idx] = 0;
	return idx;
}

				
			 
