/*
 * Portable common datatype declarations.
 * $Id$
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 */

#ifndef	__STD_TYPES_H__
#define	__STD_TYPES_H__

#ifndef	__CONFIG_H__
#include <config.h>
#endif

#include <sys/types.h>
#include <stdlib.h>

#ifdef	UCHAR_T_MISSING
typedef	unsigned char	uchar;
#endif

#ifdef	USHORT_T_MISSING
typedef	unsigned short	ushort;
#endif

#ifdef	ULONG_T_MISSING
typedef	unsigned long	ulong;
#endif

#ifdef	__cplusplus
enum
{
	FALSE=0,
	TRUE
};
#else
typedef	enum
{
	FALSE=0,
	TRUE
}	bool;
#endif

typedef	void	*ptr_t;

#ifdef SIZE_T_MISSING
typedef	unsigned int size_t;
#endif

#ifdef SSIZE_T_MISSING
typedef int ssize_t;
#endif

#endif
