/*
 * Currency rules, for USD.
 * $Id: currency.c 1.2 Mon, 24 Mar 1997 12:25:37 -0500 dyfet $
 * Copyright (c) 1997 by Tycho Softworks.
 * For conditions of distribution and reuse see product license.
 */

#include <other/string.h>
#include <other/config.h>
#include "speak.h"

void	currency(char *str)
{
	char	*cents;
	++str;

	cents = strchr(str, '.');
	if(cents)
		*(cents++) = 0;

	if(atol(str) != 0)
	{
		number(str);
		if(atol(str) > 1)
			spo_word("dollars");
		else
			spo_word("dollar");
	}

	if(cents)
	{
		if(atol(str) > 0)
			spo_word("and");

		number(cents);
		if(atoi(cents) > 1)
			spo_word("cent");
		else
			spo_word("cents");
	}
}

		
